# $Revision: 1.24 $, $Date: 2010/04/24 17:40:21 $
#
# Conditional build:
%bcond_with	tests		# build and run tests
#
%define		srcname	avalon-framework
%include	/usr/lib/rpm/macros.java
Summary:	The Avalon Framework
Summary(pl.UTF-8):	Szkielet Avalon
Name:		java-avalon-framework
Version:	4.3
Release:	2
License:	Apache v2.0
Group:		Libraries/Java
Source0:	http://www.apache.org/dist/excalibur/avalon-framework/source/%{srcname}-api-%{version}-src.tar.gz
# Source0-md5:	d4cffb4ba1d07bdc517ac6e322636495
Source1:	http://www.apache.org/dist/excalibur/avalon-framework/source/%{srcname}-impl-%{version}-src.tar.gz
# Source1-md5:	62499f9b32ac4d722a46a4f2cfbbf0d8
Patch0:		%{name}-tests.patch
URL:		http://excalibur.apache.org/framework/
BuildRequires:	ant >= 1.5
%{?with_tests:BuildRequires:	ant-junit}
BuildRequires:	ant-nodeps
BuildRequires:	java-avalon-logkit
BuildRequires:	java-commons-logging
%{?with_tests:BuildRequires:	java-junit}
BuildRequires:	java-log4j
BuildRequires:	jdk
BuildRequires:	jpackage-utils
BuildRequires:	rpm-javaprov
BuildRequires:	rpmbuild(macros) >= 1.553
BuildRequires:	sed >= 4.0
BuildConflicts:	java-gcj-compat-devel
Requires:	jpackage-utils
Obsoletes:	avalon-framework
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Avalon Framework consists of interfaces that define relationships
between commonly used application components, best-of-practice pattern
enforcements, and several lightweight convenience implementations of
the generic components.

%description -l pl.UTF-8
Avalon Framework składa się z interfejsów definiujących powiązania
między powszechnie używanymi komponentami aplikacji, najlepszymi
narzucanymi wzorami i kilkoma lekkimi wygodnymi implementacjami
ogólnych komponentów.

%prep
%setup -q -c -a1

%patch0 -p1

# Fix for wrong-file-end-of-line-encoding problem
find '(' -name '*.html' -o -name '*.css' -o -name '*.xml' ')' -print0 | xargs -0 %undos

%build
required_jars="avalon-logkit %{?with_tests:junit}"
export CLASSPATH=$(build-classpath $required_jars)

%ant -f %{srcname}-api-%{version}/build.xml \
	-Dnoget=1 \
	dist %{?with_tests:test}

required_jars="avalon-logkit commons-logging log4j"
export CLASSPATH=$(build-classpath $required_jars):$(pwd)/avalon-framework-api-%{version}/target/avalon-framework-api-%{version}.jar
%ant -f %{srcname}-impl-%{version}/build.xml \
	-Dnoget=1 \
	dist %{?with_tests:test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_javadir}
cp -a %{srcname}-api-%{version}/target/%{srcname}-api-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{srcname}-api-%{version}.jar
ln -sf %{srcname}-api-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{srcname}-api.jar
cp -a %{srcname}-impl-%{version}/target/%{srcname}-impl-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{srcname}-impl-%{version}.jar
ln -sf %{srcname}-impl-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{srcname}-impl.jar

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{_javadir}/%{srcname}-api.jar
%{_javadir}/%{srcname}-api-%{version}.jar
%{_javadir}/%{srcname}-impl.jar
%{_javadir}/%{srcname}-impl-%{version}.jar

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: java-avalon-framework.spec,v $
Revision 1.24  2010/04/24 17:40:21  pawelz
- rel 2

Revision 1.23  2010/04/24 17:39:56  pawelz
- more macros!
- verbose %files

Revision 1.22  2010/04/24 17:34:49  pawelz
- use full power of %setup macro

Revision 1.21  2010/04/18 13:44:17  pawelz
- sorted deps

Revision 1.20  2010/04/17 07:44:29  jajcus
- do not pull java-sun via BR - icedtea6 should be enough in all (most) cases

Revision 1.19  2010/04/03 22:36:51  pawelz
- G: Libraries/Java
- O: avalon-framework
- rel 1

Revision 1.18  2010/04/03 21:10:51  pawelz
- renamed from avalon-framework
- force java-sun

Revision 1.17  2007/12/09 01:22:52  glen
- R: jpackage-utils for %{_javadir}; cosmetics/cleanups

Revision 1.16  2007-12-02 19:32:12  glen
- builds in this state

Revision 1.15  2007-09-19 16:40:56  glen
- unify macros

Revision 1.14  2007/09/19 15:51:33  baggins
- nothing works

Revision 1.13  2007/09/19 15:43:51  baggins
- now, this is wrong

Revision 1.12  2007/09/19 15:41:04  baggins
- maybe that way...

Revision 1.11  2007/09/19 15:38:27  baggins
- java sucks

Revision 1.10  2007/09/19 15:37:13  baggins
- BR junit

Revision 1.9  2007/02/12 22:09:09  glen
- tabs in preamble

Revision 1.8  2007/02/12 01:06:42  baggins
- converted to UTF-8

Revision 1.7  2006/09/12 14:17:20  glen
- unify %ant macro

Revision 1.6  2006/08/06 17:22:02  gotar
- BR: ant-nodeps, no more double gzip, added %install section

Revision 1.5  2006/05/28 08:22:20  qboosh
- fixed md5s

Revision 1.4  2006/05/25 22:39:33  qboosh
- pl(?)

Revision 1.3  2006/05/25 09:31:21  qboosh
- gpm-friendly

Revision 1.2  2006/05/24 22:04:36  radek
- fix url

Revision 1.1  2006/05/24 21:57:25  radek
- required by fop, doesn't build, I'm out of ideas
